# version 1.4

package Xchat::nocturne::NocCommon;
use strict;
use warnings;

my ($sname,$version) = ("noc", "1.4");
Xchat::register($sname, $version, "", "");

Xchat::print("\002\00304Noc\00310Common\003\002 Functions included");

sub gethost{
    my $nick = $_[0];
    my $host = Xchat::user_info($nick)->{host};
    return "void.host.xcp" if (! $host);
    my $papaki = index($host, '@');
    $host = substr($host, $papaki + 1);
    return $host;
}

sub mask_host{
    my $host = $_[0];
    if ($host =~ /^([[:digit:]]{1,3}\.){3}[[:digit:]]{1,3}$/){
        $host =~ s/[[:digit:]]{1,3}(\.[[:digit:]]{1,3}){2}$/*/g;
    } else {
        $host =~ s/[0-9-]|static|dynamic|ppp/*/g;
        $host =~ s/\.\*|\*\./*/g;
        $host =~ s/\*{2,}/*/g;
    }
    return $host;
}

sub getusername{
    my $nick = $_[0];
    my $username = Xchat::user_info($nick)->{host};
    return "voidxxx" if (! $username);
    my $papaki = index($username, '@');
    $username = substr($username, 0, $papaki);
    return $username;
}

sub gettime{ 
	return POSIX::strftime("%s", localtime);
}
